/*
 *  Authors: Rodney Dawes <dobey.pwns@gmail.com>
 *
 *  Copyright 2008 Rodney Dawes
 *
 */

#ifndef _CALVIEW_MONTH_H_
#define _CALVIEW_MONTH_H_

#include "calview-model.h"

G_BEGIN_DECLS

#define CAL_TYPE_VIEW_MONTH            (cal_view_month_get_type ())
#define CAL_VIEW_MONTH(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAL_TYPE_VIEW_MONTH, CalViewMonth))
#define CAL_VIEW_MONTH_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CAL_TYPE_VIEW_MONTH, CalViewMonthClass))
#define CAL_IS_VIEW_MONTH(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAL_TYPE_VIEW_MONTH))
#define CAL_IS_VIEW_MONTH_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CAL_TYPE_VIEW_MONTH))
#define CAL_VIEW_MONTH_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CAL_TYPE_VIEW_MONTH, CalViewMonthClass))

typedef struct _CalViewMonth CalViewMonth;
typedef struct _CalViewMonthClass CalViewMonthClass;
typedef struct _CalViewMonthPrivate CalViewMonthPrivate;

struct _CalViewMonth {
  CalViewModel parent;

  CalViewMonthPrivate * priv;
};

struct _CalViewMonthClass {
  CalViewModelClass parent_class;
};

/* Creators */
GType cal_view_month_get_type (void) G_GNUC_CONST;

CalViewModel * cal_view_month_new (void);

G_END_DECLS

#endif
